'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.validateJSONSchema = validateJSONSchema;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i]; return arr2; } else { return Array.from(arr); } } //import { validate as validateSchema } from 'jsonschema';


const A = require('ajv');
const validator = new A({ allErrors: true });
validator.addMetaSchema(require('ajv/lib/refs/json-schema-draft-06.json'));

function validateJSONSchema(dataObject, schemaFilePath) {
    const expectedSchema = JSON.parse(_fs2.default.readFileSync(schemaFilePath, 'utf8'));

    let ret = { errors: [] };
    let result = validator.validate(expectedSchema, dataObject);
    if (!result) ret[errors] = [].concat(_toConsumableArray(validator.errors));

    return ret;
}